<script setup lang="ts">
import { useCustomerStore } from '@/stores/customer'
import { useReceiptStore } from '@/stores/receipt'
import { ref } from 'vue'
import CustomerEditCard from './CustomerEditCard.vue'
import { usePaymentStore } from '@/stores/payment';
const paymentStore = usePaymentStore()
const receiptStore = useReceiptStore()

function checkOrderPay(){
  if(receiptStore.receiptItems.length < 0 || !receiptStore.receiptItems.some(item => item !== null && item !== undefined) && receiptStore.receipt.PaymentType == ""){
      {return "กรุณาตรวจสอบวิธีการชำระเงินและสินค้า"}
    }
    else if(receiptStore.receiptItems.length < 0 || !receiptStore.receiptItems.some(item => item !== null && item !== undefined))
    {return "กรุณาตรวจสอบสินค้า"}
    else if(receiptStore.receipt.PaymentType == ""){
      {return "กรุณาตรวจสอบวิธีการชำระเงิน"}
    }
     

}


</script>
<template>
  <v-dialog v-model="paymentStore.valpayDialog" persistent width="1024">
  <v-sheet
    class="pa-4 text-center mx-auto"
    elevation="12"
    max-width="600"
    rounded="lg"
    width="100%"
  >
    <v-icon
      class="mb-5"
      color="red"
      icon="mdi-alpha-x-circle"
      size="112"
    ></v-icon>

    <h2 class="text-h5 mb-6">ยืนยันการสั่งซื้อผิดผลาด</h2>

    <p class="mb-4 text-medium-emphasis text-body-2">
      {{ checkOrderPay() }}
    </p>

    <v-divider class="mb-4"></v-divider>

    <div class="text-end">
      <v-btn
        class="text-none"
        color="success"
        variant="flat"
        width="90"
        rounded
        @click="paymentStore.closevalpayDialog()"
      >
        OK
      </v-btn>
    </div>
  </v-sheet>
</v-dialog>
</template>
